Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JInternalFrame.AccessibleJInternalFrame

    java.lang.Object
      |
      +--javax.accessibility.AccessibleContext
            |
            +--java.awt.Component.AccessibleAWTComponent
                  |
                  +--java.awt.Container.AccessibleAWTContainer
                        |
                        +--javax.swing.JComponent.AccessibleJComponent
                              |
                              +--javax.swing.JInternalFrame.AccessibleJInternalFrame

All Implemented Interfaces:
  AccessibleComponent, AccessibleValue, Serializable

Enclosing class:
  JInternalFrame

protected class JInternalFrame.AccessibleJInternalFrame
extends JComponent.AccessibleJComponent
implements AccessibleValue

This class implements accessibility support for the `JInternalFrame` class. It provides an implementation of the Java Accessibility API appropriate to internal frame user-interface elements.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JComponent.AccessibleJComponent
`JComponent.AccessibleJComponent.AccessibleContainerHandler, JComponent.AccessibleJComponent.AccessibleFocusHandler`

Inner classes inherited from class java.awt.Container.AccessibleAWTContainer
`Container.AccessibleAWTContainer.AccessibleContainerHandler`

Inner classes inherited from class java.awt.Component.AccessibleAWTComponent
`Component.AccessibleAWTComponent.AccessibleAWTComponentHandler, Component.AccessibleAWTComponent.AccessibleAWTFocusHandler`

Fields inherited from class javax.swing.JComponent.AccessibleJComponent
`accessibleContainerHandler, accessibleFocusHandler`

Fields inherited from class java.awt.Component.AccessibleAWTComponent
`accessibleAWTComponentHandler, accessibleAWTFocusHandler`

Fields inherited from class javax.accessibility.AccessibleContext
`ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

Constructor Summary
`protected` | `JInternalFrame.AccessibleJInternalFrame()`

Method Summary
`String` | `getAccessibleName()` Get the accessible name of this object.
`AccessibleRole` | `getAccessibleRole()` Get the role of this object.
`AccessibleValue` | `getAccessibleValue()` Get the AccessibleValue associated with this object.
`Number` | `getCurrentAccessibleValue()` Get the value of this object as a Number.
`Number` | `getMaximumAccessibleValue()` Get the maximum value of this object as a Number.
`Number` | `getMinimumAccessibleValue()` Get the minimum value of this object as a Number.
`boolean` | `setCurrentAccessibleValue(Number n)` Set the value of this object as a Number.

Methods inherited from class javax.swing.JComponent.AccessibleJComponent
`addPropertyChangeListener, getAccessibleChild, getAccessibleChildrenCount, getAccessibleDescription, getAccessibleStateSet, getBorderTitle, removePropertyChangeListener`

Methods inherited from class java.awt.Container.AccessibleAWTContainer
`getAccessibleAt`

Methods inherited from class java.awt.Component.AccessibleAWTComponent
`addFocusListener, contains, getAccessibleComponent, getAccessibleIndexInParent, getAccessibleParent, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

Methods inherited from class javax.accessibility.AccessibleContext
`firePropertyChange, getAccessibleAction, getAccessibleIcon, getAccessibleRelationSet, getAccessibleSelection, getAccessibleTable, getAccessibleText, setAccessibleDescription, setAccessibleName, setAccessibleParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JInternalFrame.AccessibleJInternalFrame

    protected JInternalFrame.AccessibleJInternalFrame()

Method Detail

### getAccessibleName

    public String getAccessibleName()

  Get the accessible name of this object.
  Overrides:
    `getAccessibleName` in class `JComponent.AccessibleJComponent`
  Returns:
    the localized name of the object -- can be null if this object does not have a name
  See Also:
    `AccessibleContext.setAccessibleName(java.lang.String)`

### getAccessibleRole

    public AccessibleRole getAccessibleRole()

  Get the role of this object.
  Overrides:
    `getAccessibleRole` in class `JComponent.AccessibleJComponent`
  Returns:
    an instance of AccessibleRole describing the role of the object
  See Also:
    `AccessibleRole`

### getAccessibleValue

    public AccessibleValue getAccessibleValue()

  Get the AccessibleValue associated with this object. In the implementation of the Java Accessibility API for this class, return this object, which is responsible for implementing the AccessibleValue interface on behalf of itself.
  Overrides:
    `getAccessibleValue` in class `AccessibleContext`
  Returns:
    this object

### getCurrentAccessibleValue

    public Number getCurrentAccessibleValue()

  Get the value of this object as a Number.
  Specified by:
    `getCurrentAccessibleValue` in interface `AccessibleValue`
  Returns:
    value of the object -- can be null if this object does not have a value

### setCurrentAccessibleValue

    public boolean setCurrentAccessibleValue(Number n)

  Set the value of this object as a Number.
  Specified by:
    `setCurrentAccessibleValue` in interface `AccessibleValue`
  Returns:
    True if the value was set.

### getMinimumAccessibleValue

    public Number getMinimumAccessibleValue()

  Get the minimum value of this object as a Number.
  Specified by:
    `getMinimumAccessibleValue` in interface `AccessibleValue`
  Returns:
    Minimum value of the object; null if this object does not have a minimum value

### getMaximumAccessibleValue

    public Number getMaximumAccessibleValue()

  Get the maximum value of this object as a Number.
  Specified by:
    `getMaximumAccessibleValue` in interface `AccessibleValue`
  Returns:
    Maximum value of the object; null if this object does not have a maximum value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.